#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Telnet
Summary:	Net::Telnet Perl module - interact with TELNET port or other TCP ports
Summary(pl.UTF-8):	Moduł Perla Net::Telnet - komunikacja protokołem TELNET lub z innymi portami TCP
Name:		perl-Net-Telnet
Version:	3.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d2514080116c1b0fa5f96295c84538e3
URL:		http://search.cpan.org/dist/Net-Telnet/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Telnet allows you to make client connections to a TCP port and do
network I/O, especially to a port using the TELNET protocol.

%description -l pl.UTF-8
Net::Telnet pozwala na wykonywanie połączeń z portami TCP i
wykonywanie sieciowych operacji wejścia/wyjścia, w szczególności przy
użyciu protokołu TELNET.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Net/Telnet.pm
%{_mandir}/man3/Net::Telnet.3pm*
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-Telnet.git;a=log;h=master

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> ae4b934
- updated to 3.04

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 84ed8eb
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1ecab10
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e681af
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> aa6804a
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9c3cfb5
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> c100631
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> b09b5bc
- license fixes, cosmetics

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 7658d35
- ported to new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> e24e979
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> bb82fb9
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 320eeea
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> a038083
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 65a65da
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 3fff36f
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> aed0371
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 1226389
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> cfcc205
- massive attack: change CPAN URLs

* Fri Sep 27 2002 ankry <ankry@pld-linux.org> 037cb86
- added tests, translations
- version 3.03, rel. 1

* Mon Aug 05 2002 marcus <marcus@pld-linux.org> e96285c
- rel.6.
- use new %%doc

